### A free/open-source library for quantitative finance

Public Member Functions
FuturesRateHelper Class Reference

Rate helper for bootstrapping over IborIndex futures prices. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for FuturesRateHelper:
[legend]

List of all members.

## Public Member Functions

| FuturesRateHelper (const Handle< Quote > &price, const Date &immDate, Natural lengthInMonths, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, const Handle< Quote > &convexityAdjustment=Handle< Quote >())
| FuturesRateHelper (Real price, const Date &immDate, Natural lengthInMonths, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, Rate convexityAdjustment=0.0)
| FuturesRateHelper (const Handle< Quote > &price, const Date &immStartDate, const Date &endDate, const DayCounter &dayCounter, const Handle< Quote > &convexityAdjustment=Handle< Quote >())
| FuturesRateHelper (Real price, const Date &immStartDate, const Date &endDate, const DayCounter &dayCounter, Rate convexityAdjustment=0.0)
| FuturesRateHelper (const Handle< Quote > &price, const Date &immDate, const boost::shared_ptr< IborIndex > &iborIndex, const Handle< Quote > &convexityAdjustment=Handle< Quote >())
| FuturesRateHelper (Real price, const Date &immDate, const boost::shared_ptr< IborIndex > &iborIndex, Rate convexityAdjustment=0.0)
RateHelper interface
Real | impliedQuote () const
FuturesRateHelper inspectors
Real | convexityAdjustment () const
Visitability
void | accept (AcyclicVisitor &)

## Detailed Description

Rate helper for bootstrapping over IborIndex futures prices.

Examples:
  swapvaluation.cpp.